package com.police.policedatasystem.http.requestparams;

import java.io.Serializable;
import java.util.List;

public class ResponseParams implements Serializable {
    String messageId;//自定义唯一值，建议 UUID.randomUUID().toString()
    String message;//
    String version;//服务总线版本号,目前填写 1.0 即可
    String code;//结构体中参数释义如下
    Data data;
    public String getMessageId() {
        return messageId;
    }

    public void setMessageId(String messageId) {
        this.messageId = messageId;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Data getData() {
        return data;
    }

    public void setData(Data data) {
        this.data = data;
    }

    public static class Data implements Serializable {
        private List<FieldData> dataList;//（条件）结构体释义如下

        public List<FieldData> getDataList() {
            return dataList;
        }

        public void setDataList(List<FieldData> dataList) {
            this.dataList = dataList;
        }
    }

    public static class FieldData implements Serializable {
        private List<FieldValues> fieldValues;

        public List<FieldValues> getFieldValues() {
            return fieldValues;
        }

        public void setFieldValues(List<FieldValues> fieldValues) {
            this.fieldValues = fieldValues;
        }
    }

    public static class FieldValues implements Serializable {
        private String field;
        private String value;

        public String getField() {
            return field;
        }

        public void setField(String field) {
            this.field = field;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }
    }
}
